Listing Fundings
The GET /fundings/ method enables you to retrieve detailed information about your deposits (pay-ins). You can retrieve a list of the fundings made into your account or specific transactions.
HTTP Request
Pix Payments API Users (Brazilian Ramp)For precise implementation of this endpoint for Pix Payments, refer to the article List Pay-Ins.
Header Parameters
You must specify the following authorization parameters in your request:
| Parameter | Description | Required |
|---|---|---|
key | See the section, Authentication | Yes |
signature | See the section, Authentication | Yes |
nonce | See the section, Authentication | Yes |
Path Parameters
You can recover an individual funding with the following path parameter:
| Parameter | Description | Required |
|---|---|---|
fid | Specifies the unique identifier of the funding to retrieve. | No |
Query Parameters
You can also use the following query parameters in your request:
| Parameter | Description | Required | Default Value |
|---|---|---|---|
limit | Specifies the number of objects to return. Maximum is 100. | No | 25 |
marker | Specifies to return the objects that are older than the object with the given funding ID (marker=fid). Useful for pagination. | No | |
method | Restricts the list of fundings to those of the specified method. Valid values: method codes such as pixstark, praxis, usdc_trf, btc, and eth_erc20. | No | |
status | Restricts the list of fundings to those of the specified status. Valid values: pending, complete, failed. | No | |
fids | Enables searching for fundings using a list of unique identifiers, formatted as a comma-separated list.
| No |
JSON Response Payload
The endpoint returns a JSON array of fundings. Every element in the array is a JSON object that represents a funding and includes the following fields:
| Field Name | Description | Type | Units |
|---|---|---|---|
amount | The amount received. | String | Currency |
asset | The digital asset in the network used. | String | Currency |
created_at | The date and time when the service received the funding. | String | ISO 8601 timestamp |
currency | The currency of the received amount. | String | |
details | The specific funding details. The information contained in this object varies greatly depending on the transaction's taxonomy. | JSON object | |
fid | The unique funding ID. | String | |
integration | The merging with the payment gateway used. | String | |
method | The method used in this funding. Possible values: method codes such as pixstark, praxis, usdc_trf, btc, and eth_erc20. | String | |
method_name | The full name of the method used. | String | |
network | The payment network through which the funding was processed. | String | |
protocol | The specific mechanism, protocol, or standard used in the network. | String | |
status | The status of this funding. Possible values: pending, complete, and failed. | String |
Introducing new data fields into the JSON response payloads is considered backward-compatible. Ensure your integration gracefully handles new, unexpected fields without errors.
The following response objects exemplify the JSON array returned:
{
"success":true,
"payload":[
{
"fid":"c5b8d7f0768ee91d3b33bee648318688",
"status":"pending",
"created_at":"2022-12-08T17:52:31.000+00:00",
"currency":"btc",
"method":"btc",
"method_name":"Bitcoin Network",
"amount":"0.48650929",
"asset":"btc",
"network":"btc",
"protocol":"btc",
"integration":"bitgo-v2",
"details":{
"tx_hash":"*******4693e9fb5fffcaf730c11f32d1922e5837f76ca82189d3b**********"
}
},
{
"fid":"p4u8d7f0768ee91d3b33bee6483132i8",
"status":"complete",
"created_at":"2023-03-08T11:00:23+0000",
"currency":"mxn",
"method":"praxis",
"method_name":"SPEI Transfer",
"amount":"3000",
"asset":"mxn",
"network":"spei",
"protocol":"clabe",
"integration":"praxis",
"details":{
"sender_name":"Bertrand Russell",
"sender_clabe":"****100019********",
"sender_bank":90706,
"clave":400343,
"clave_rastreo":"BNET01001604080002076841",
"numeric_reference":"80416",
"concepto":"Para el 🐖",
"cep_link":""
}
}
]
}{
"success": true,
"payload": [
{
"fid": "7e4d8ade7af52735768b46961fe132",
"status": "complete",
"created_at": "2025-04-07T19:40:48+00:00",
"currency": "usd",
"method": "sol_spl",
"method_name": "Solana SPL",
"amount": "1.00000000",
"asset": "usdc",
"network": "solana",
"protocol": "spl",
"integration": "fblocks-v1",
"details": {
"receiving_address": "hx3FWiGvT6syeNvQvvh83S6rD***",
"sending_address": "0x4ee44Fa73C4534C4Bb61a06DD28Bd0aA49d***",
"tx_hash": "3oN7HwKbsP4ckwHK8RKmdcy88YNhBuLyLJuvaSHLBnzc3***",
"confirmations": "0",
"tx_url": "https://solscan.io/tx/3oN7HwKbsP4ckwHK8RKmdcy88YNhBuLyLJuvaSHLBnzc3***"
},
"legal_operation_entity": {
"name": "Bitso International",
"country_code_iso_2": "GI",
"image_id": "bitso"
}
}
]
}{
"success": true,
"payload": [
{
"fid": "da27ae87b98b4ff1a63211ec84a96166",
"status": "failed",
"created_at": "2025-03-11T15:25:08+00:00",
"currency": "mxn",
"method": "praxis",
"method_name": "SPEI Transfer",
"amount": "10.00",
"asset": "mxn",
"network": "spei",
"protocol": "clabe",
"integration": "praxis",
"details": {
"sender_name": "Sender Name",
"sender_clabe": "810969000000065751",
"receive_clabe": "710969000000309624",
"sender_bank": 97810,
"clave": 1741706708,
"clave_rastreo": "TESTSPEI492021741706708227",
"numeric_reference": "1",
"concepto": "Payment Reason",
"cep_link": "",
"sender_rfc_curp": "ND",
"deposit_type": "",
"payment_id": "clientPaymentIdStage27",
"multiclabe_validation_error": "INVALID_PAYMENT_AMOUNT"
},
"legal_operation_entity": {
"name": "Nvio Pagos Mexico",
"country_code_iso_2": "MX",
"image_id": "nvio"
}
}
]
}Updated 9 months ago
